using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Text;
using System.Windows.Forms;
using AdkNet4Wrapper;

namespace DemoApiCSharp
{
    public partial class NewCInv : Form
    {
        int pData;
        private Api.ADKERROR error;
        
        public NewCInv()
        {
            InitializeComponent();
            pData = 0;
        }

        private void NEWCINV_NEWCREATE_Click(object sender, EventArgs e)
        {
            pData = Api.AdkCreateData(Api.ADK_DB_INVOICE_HEAD);

            error = Api.AdkSetStr(pData, Api.ADK_OOI_HEAD_CUSTOMER_NUMBER, NEWCINV_KNR_BOX.Text);
            error = Api.AdkSetStr(pData, Api.ADK_OOI_HEAD_CUSTOMER_REFERENCE_NAME, NEWCINV_ERREF_BOX.Text);

            error = Api.AdkSetDate(pData, Api.ADK_OOI_HEAD_DOCUMENT_DATE1, System.DateTime.ParseExact(NEWCINV_DATE_BOX.Text, "yyyy-MM-dd", CultureInfo.InvariantCulture));
            
            int pRows = 0;
            int nor = NEWCINV_ROWS.RowCount-1; // Ta bort sista append-raden
            pRows = Api.AdkCreateDataRow(Api.ADK_DB_INVOICE_ROW, nor);

            for(int iX = 0; iX < nor; iX++)
            {
                try
                {
                    int pRow = Api.AdkGetDataRow(pRows, iX);
                    error = Api.AdkSetStr(pRow, Api.ADK_OOI_ROW_ARTICLE_NUMBER, NEWCINV_ROWS.Rows[iX].Cells[0].Value.ToString());

                    Double ant;

                    Double.TryParse(NEWCINV_ROWS.Rows[iX].Cells[1].Value.ToString(), out ant);
                    error = Api.AdkSetDouble(pRow, Api.ADK_OOI_ROW_QUANTITY2, ant);

                    Double.TryParse(NEWCINV_ROWS.Rows[iX].Cells[2].Value.ToString(), out ant);
                    error = Api.AdkSetDouble(pRow, Api.ADK_OOI_ROW_QUANTITY1, ant);
                }
                catch { }                 
            }

            error = Api.AdkSetData(pData, Api.ADK_OOI_HEAD_ROWS, pRows);

            error = Api.AdkSetDouble(pData, Api.ADK_OOI_HEAD_NROWS, nor);

            error = Api.AdkAdd(pData);

            error = Api.AdkDeleteStruct(pData);
        }
    }
}