// ErrorHandling.cpp: implementation of the CErrorHandling class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DemoProject.h"
#include "ErrorHandling.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

//Klass fr felhantering
//Skapar ett felmeddelande utifrn de felkoder som returneras
CErrorHandling::CErrorHandling(ADK_ERROR error)
{
    char* pchTotalText = new char[2500];
    ZeroMemory(pchTotalText, sizeof(pchTotalText));
    char* pchText = new char[500];			
    
    strcat(pchTotalText, " Meddelande:\t");
    AdkGetErrorText(&error, elRc, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Tabell:\t\t");
    AdkGetErrorText(&error, elDbTable, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Flt:\t\t" );
    AdkGetErrorText(&error, elField, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Funktion:\t\t"  );
    AdkGetErrorText(&error, elFunction, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Programdel:\t" );
    AdkGetErrorText(&error, elProgramPart, &pchText, 500);
    strcat(pchTotalText, pchText);
    
    MessageBox(NULL, pchTotalText, "Meddelande frn Error-klassen.", MB_OK); 
    
    delete [] pchTotalText;
    delete [] pchText;
}

CErrorHandling::~CErrorHandling()
{

}

//Funktion fr att ta hand om varningar.
//Kopplas med AdkSetWarningFunction i InitAdmin
void _stdcall WarningFunction(ADK_ERROR* pError)
{
    char* pchTotalText = new char[2500];
    ZeroMemory(pchTotalText, sizeof(pchTotalText));
    char* pchText = new char[500];			
    
    strcat(pchTotalText, " Meddelande:\t");
    AdkGetErrorText(pError, elRc, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Tabell:\t\t");
    AdkGetErrorText(pError, elDbTable, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Flt:\t\t" );
    AdkGetErrorText(pError, elField, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Funktion:\t\t"  );
    AdkGetErrorText(pError, elFunction, &pchText, 500);
    strcat(pchTotalText, pchText);
    strcat(pchTotalText, "\n Programdel:\t" );
    AdkGetErrorText(pError, elProgramPart, &pchText, 500);
    strcat(pchTotalText, pchText);
    
    MessageBox(NULL, pchTotalText, "Varning!.", MB_OK); 
    
    delete [] pchTotalText;
    delete [] pchText;
}
