#if !defined(AFX_INVOICE_H__6580339C_C7A2_11D5_9D94_00500455D0D2__INCLUDED_)
#define AFX_INVOICE_H__6580339C_C7A2_11D5_9D94_00500455D0D2__INCLUDED_

#include "ErrorHandling.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Invoice.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CInvoice dialog

class CInvoice : public CPropertyPage
{
	DECLARE_DYNCREATE(CInvoice)

// Construction
public:
	void AddInvoice();
	CInvoice();
	~CInvoice();

    void DataUpdate(PADK_DATA pData);

// Dialog Data
	//{{AFX_DATA(CInvoice)
	enum { IDD = IDD_PROPPAGE_LARGE1 };
	CButton	m_rAddRow;
	CListCtrl	m_rList;
	CEdit	m_rBstQuantity;
	CEdit	m_rArticleNr;
	CButton	m_rNew;
	CEdit	m_rInvoiceNr;
	CEdit	m_rDate;
	CEdit	m_rCustomerNr;
	CString	m_strCustomerNr;
	CString	m_strDate;
	long	m_lnvoiceNr;
	CString	m_strArticleNr;
	double	m_dBstQuantity;
	long	m_lSearch;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CInvoice)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CInvoice)
	afx_msg void OnFirst();
	afx_msg void OnNext();
	afx_msg void OnNewInv();
	virtual BOOL OnInitDialog();
	afx_msg void OnAddRow();
	afx_msg void OnUpdateInv();
	afx_msg void OnSearchInv();
	afx_msg void OnDeleteRow();
	afx_msg void OnClickListBox(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAddUpdateRow();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
        
private:
    PADK_DATA pData;
    ADK_ERROR error;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INVOICE_H__6580339C_C7A2_11D5_9D94_00500455D0D2__INCLUDED_)
