// RegPath.cpp : implementation file
//

#include "stdafx.h"
#include "DemoProject.h"
#include "RegPath.h"
#include "PathDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRegPath dialog


CRegPath::CRegPath(CWnd* pParent /*=NULL*/)
	: CDialog(CRegPath::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRegPath)
	m_strFtg = _T("");
	m_strSys = _T("");
	//}}AFX_DATA_INIT
}


void CRegPath::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRegPath)
	DDX_Control(pDX, IDC_SYS, m_rSys);
	DDX_Control(pDX, IDC_FTG, m_rFtg);
	DDX_Text(pDX, IDC_FTG, m_strFtg);
	DDX_Text(pDX, IDC_SYS, m_strSys);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRegPath, CDialog)
	//{{AFX_MSG_MAP(CRegPath)
	ON_BN_CLICKED(IDC_BROWSE_SYS, OnBrowseSys)
	ON_BN_CLICKED(IDC_BROWSE_FTG, OnBrowseFtg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRegPath message handlers

void CRegPath::OnBrowseSys() 
{
	CString strPath;
	CString strYourCaption(_T("Programkatalogen"));
	CString strYourTitle(_T("Ange programkatalogen"));

	m_rSys.GetWindowText(strPath);

	CPathDialog dlg(strYourCaption, strYourTitle, strPath);

	if(dlg.DoModal()==IDOK)
	{
		m_rSys.SetWindowText(dlg.GetPathName());
	}	
}

void CRegPath::OnBrowseFtg() 
{
	CString strPath;
	CString strYourCaption(_T("Fretagskatalogen"));
	CString strYourTitle(_T("Ange fretagskatalogen"));

	m_rFtg.GetWindowText(strPath);

	CPathDialog dlg(strYourCaption, strYourTitle, strPath);

	if(dlg.DoModal()==IDOK)
	{
		m_rFtg.SetWindowText(dlg.GetPathName());
	}	
}

void CRegPath::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}
